package com.dgtly.system.mapper;

import com.dgtly.system.domain.SysRidingLantern;
import java.util.List;

/**
 * 走马灯提示语Mapper接口
 * 
 * @author dgtly
 * @date 2022-11-22
 */
public interface SysRidingLanternMapper 
{
    /**
     * 查询走马灯提示语
     * 
     * @param id 走马灯提示语ID
     * @return 走马灯提示语
     */
    public SysRidingLantern selectSysRidingLanternById(Long id);

    /**
     * 查询走马灯提示语列表
     * 
     * @param sysRidingLantern 走马灯提示语
     * @return 走马灯提示语集合
     */
    public List<SysRidingLantern> selectSysRidingLanternList(SysRidingLantern sysRidingLantern);

    /**
     * 新增走马灯提示语
     * 
     * @param sysRidingLantern 走马灯提示语
     * @return 结果
     */
    public int insertSysRidingLantern(SysRidingLantern sysRidingLantern);

    /**
     * 修改走马灯提示语
     * 
     * @param sysRidingLantern 走马灯提示语
     * @return 结果
     */
    public int updateSysRidingLantern(SysRidingLantern sysRidingLantern);

    /**
     * 删除走马灯提示语
     * 
     * @param id 走马灯提示语ID
     * @return 结果
     */
    public int deleteSysRidingLanternById(Long id);

    /**
     * 批量删除走马灯提示语
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysRidingLanternByIds(String[] ids);

    /**有效的通知通告*/
    public List<SysRidingLantern> selectLanternList();
}
